#include <bits/stdc++.h>

#define ld long double

using namespace std;

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin >> n;

    pair<ld, ld> person[n];
    for(int i = 0; i < n; i++)
        cin >> person[i].second >> person[i].first;
    sort(person, person + n, greater< pair<ld, ld> >());

    ld sum = 0, ans = INT_MIN;
    for(int i = 0; i < n; i++) {
        sum += person[i].second;

        if(sum * (person[i].first / 100.0) > ans)
            ans = sum * (person[i].first / 100.0);
    }
    cout << fixed << ans << endl;
    return 0;
}